org.apache.xmlbeans.impl.xb.xmlconfig

## Interface JavaNameList

- All Superinterfaces:
    XmlAnySimpleType, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    JavaNameListImpl

      public interface JavaNameList
      extends XmlAnySimpleType

  An XML javaNameList(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a union type. Instances are of one of the following types: org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList$Member org.apache.xmlbeans.impl.xb.xmlconfig.JavaNameList$Member2

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `JavaNameList.Member` An anonymous inner XML type.
    `static interface` | `JavaNameList.Member2` An anonymous inner XML type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SimpleTypeFactory<JavaNameList>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getObjectValue()`
    `SchemaType` | `instanceType()`
    `void` | `setObjectValue(Object val)`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

      `getStringValue, setStringValue`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final SimpleTypeFactory<JavaNameList> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getObjectValue

          Object getObjectValue()

    - #### setObjectValue

          void setObjectValue(Object val)

    - #### instanceType

          SchemaType instanceType()